OpenX Ad Server v2.8.5 released for download

OpenX Ad Server v2.8.5 released for download

OpenX Ad Server v2.8.5 has been released for download, but I don't recommend upgrading (yet).

Without any form of publicity, OpenX.org have released version 2.8.5 of the OpenX Ad Server. There are a few strange things about this release, which makes me hesitant about recommending an upgrade.

  • First of all, I wonder what the official status of this release is, since it hasn’t been formally announced like all previous releases. At the time of this writing, it’s been offered on the site for at least 10 days.
  • Secondly, if you look at the OpenX Developer site, this version isn’t marked as ‘completed’, symbolized by the wrapper about the package icon of all previous versions.
  • Thirdly, looking at all of the issues that are listed for version 2.8.5, a few of them still show a status of ‘unresolved’.
  • And finally, work is already under way for the development of version 2.8.6, which must mean that version 2.8.5 has a few known bugs that require fixing.

Since it’s been so quiet about the release of version 2.8.5, I haven’t really had time yet to give it a good test drive. For the time being, it is my recommendation to stay with version 2.8.3.

Share this on:
  • Twitter
  • LinkedIn
  • Facebook
  • email
About Erik Geurts

Comments

  1. Thanks Erik about your warning. Unfortunately I read your post after I did an upgrade of all of our OpenX servers. We did this after a serious security problem.

    Thanks anyway.

    • Hi Rubén,

      Thanks for your response. I wrote this blog post well before the recent reports about potential security problems. It’s usually a good idea to stay up to date with the most recent versions of software. However, in the case of OpenX v2.8.5 I’m not entirely convinced yet.

      Best regards, Erik Geurts

      • Hi Erik, I agree with you this seems very strange. I have been trying to install OpenX 2.8.4 / 2.8.5 and have encountered the following errors:

        OpenX v2.8.4 running on Apache 2.2.3, PHP 5.1.6 and MySQL 5.0.77-.

        The following error on clicking the “Inventory setup wizard”:

        Fatal error: Call to undefined method Zend_View_Helper_Placeholder_Container::ksort() in /var/www/vhosts/visitarlondres.com/httpdocs/anuncios/www/admin/plugins/openXWorkflow/library/Zend/View/Helper/HeadLink.php on line 310

        For 2.8.5 I cannot pass the second screen that asks for your openx.org details, seems like the lower part of the page is missing.

        Any ideas?

        • Hi Alex,

          Thanks for your input and report. I’m afraid I don’t have a solution for this, but perhaps there is another reader that has an idea.

          Regards, Erik Geurts